namespace Decal.Adapter.Wrappers;

public class ListRow
{
	private ListWrapper myList;

	private int rowIndex;

	private int colCount;

	public ListColumn this[int column]
	{
		get
		{
			if (column >= 0 && column < colCount)
			{
				return new ListColumn(myList, rowIndex, column);
			}
			return null;
		}
	}

	internal ListRow(ListWrapper list, int row)
	{
		myList = list;
		rowIndex = row;
		colCount = myList.ColCount;
	}
}
